/*
 * Copyright (c) 2007, OpenFWTK Development Group
 * All rights reserved. See LICENSE.
 */


/*
 *      Check if our syslog implementation is insecure and unusable
 */

#include <syslog.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
int main()
{
   char buf[2048];
   memset(buf, '*', sizeof(buf));
   buf[sizeof(buf)-1] = '\0';
   printf("Checking if syslog library is sane..");
   openlog("testsyslog", LOG_CONS, LOG_USER);
   syslog(LOG_NOTICE,"%s", buf);
   printf("fine.\n");
   exit(0);
}
